{
  description = "dev Flake für DMML Hausarbeit";

  # Zusätzlicher Cache für CUDA-Pakete (sonst muss alles selbst kompiliert werden)
  nixConfig = {
    extra-substituters = [ "https://nix-community.cachix.org" ];
    extra-trusted-public-keys = [
      "nix-community.cachix.org-1:mB9FSh9qf2dCimDSUo8Zy7bkq5CX+/rkCWyvRCYg3Fs="
    ];
  };

  inputs = {
    # Ältere Versionen von aktuellen Paketen -> sind definitiv im build cache vom
    # CUDA-Cachix
    #
    # Revision wird gepinnt
    nixpkgs.url = "github:nixos/nixpkgs/c618e28f70257593de75a7044438efc1c1fc0791";
  };

  outputs =
    { nixpkgs
    , self
    , ...
    }@inputs: with nixpkgs.lib; let
      # Erzeugt Expressions für alle aufgelisteten Systeme
      forAllPkgs = f: genAttrs [ "x86_64-linux" ] (system:
        f (import nixpkgs { inherit system; config = { allowUnfree = true; }; })
      );
    in
    {
      formatter = forAllPkgs (pkgs: pkgs.nixpkgs-fmt); # Formatter für Nix Code
      devShells = forAllPkgs (pkgs: {
        default = pkgs.mkShell {
          LD_LIBRARY_PATH = "${pkgs.stdenv.cc.cc.lib}/lib:${pkgs.cudatoolkit}/lib";
          defaultBuildInputs = with pkgs; [
            pipenv
            python3
            ollama
          ];
        };
      });
    };
}
